import request from '@/utils/request'

// 查询推送协议匹配列表
export function getProtocolList(query) {
    return request({
      url: '/material/iws_cost_push/findAgreementPushMatchList',
      method: 'get',
      params: query
    })
}

// 查询费用推送审核详情
export function getPushReviewList(query){
  return request({
    url: '/material/iws_cost_push/getCostPushCheckList',
    method: 'get',
    params: query
  })
}

// 费用推送审核提交
export function submitFee(params){
  return request({
    url: '/material/slt_agreement_info/submitFee',
    method: 'post',
    data: params
  })
}

// 查询费用推送审核租赁列表
export function getLeaseList(query) {
  return request({
    url: '/material/slt_agreement_info/leasePeriodCostDetails',
    method: 'get',
    params: query
  })
}

export function getLeaseListApi(query) {
  return request({
    url: '/material/iws_cost_push/getLeaseCostsByAgreementIdAndMonth',
    method: 'get',
    params: query
  })
}

// 查询费用推送审核维修列表
export function getRepairList(query) {
  return request({
    url: '/material/iws_cost_push/getRepairCostsByAgreementId',
    method: 'get',
    params: query
  })
}

// 查询费用推送审核丢失列表
export function getLoseList(query) {
  return request({
    url: '/material/iws_cost_push/getLoseCostsByAgreementId',
    method: 'get',
    params: query
  })
}

// 查询费用推送审核报废列表
export function getScrapList(query) {
  return request({
    url: '/material/iws_cost_push/getScrapCostsByAgreementId',
    method: 'get',
    params: query
  })
}


// 查询费用结算审核列表
export function getSltExamInfo(query) {
  return request({
    url: '/material/slt_agreement_info/getSltExamInfo',
    method: 'get',
    params: query
  })
}

// 费用结算审核-同意拒绝
export function settlementReview(query) {
  return request({
    url: '/material/slt_agreement_info/settlementReview',
    method: 'get',
    params: query
  })
}

// 费用结算提交
export function submitCosts(params){
  return request({
    url: '/material/slt_agreement_info/submitCosts',
    method: 'post',
    data: params
  })
}

// 查询结算审批列表
export function getSltList(query) {
  return request({
    url: '/material/slt_agreement_info/getSltList',
    method: 'get',
    params: query
  })
}


// 结算审批提交
export function costExamine(params){
  return request({
    url: '/material/slt_agreement_info/costExamine',
    method: 'post',
    data: params
  })
}

// 机具费用推送-列表
export function getCostPushCheckList(query) {
  return request({
    url: '/material/backstage/costPush/getCostPushCheckList',
    method: 'get',
    params: query
  })
}

// 机具费用推送-合计
export function getCostPushCheckListCount(query) {
  return request({
    url: '/material/backstage/costPush/getCostPushCheckListCount',
    method: 'get',
    params: query
  })
}

// 机具费用推送-审核
export function checkData(data) {
  return request({
    url: '/material/backstage/costPush/checkData',
    method: 'post',
    data
  })
}

// 安全工器具费用推送-列表
export function getConsumPushCheckList(query) {
  return request({
    url: '/material/backstage/costPush/getConsumPushCheckList',
    method: 'get',
    params: query
  })
}

// 安全工器具费用推送-合计
export function getConsumPushCheckListCount(query) {
  return request({
    url: '/material/backstage/costPush/getConsumPushCheckListCount',
    method: 'get',
    params: query
  })
}

// 安全工器具费用推送-审核
export function consumeCheckData(data) {
  return request({
    url: '/material/backstage/costPush/consumeCheckData',
    method: 'post',
    data
  })
}

// 查询租赁弹窗列表
export function getCostPushLeaseListApi(query) {
    return request({
      url: '/material/backstage/costPush/getCostPushLeaseList',
      method: 'get',
      params: query
    })
}

// 查询租赁弹窗列表
export function getConsumeDetailsListApi(query) {
    return request({
      url: '/material/backstage/costPush/getConsumeDetailsByAgreementId',
      method: 'get',
      params: query
    })
}

// 费用推送审核提交
export function submitPushCosts(params){
  return request({
    url: '/material/iws_cost_push/materialCostPush',
    method: 'post',
    data: params
  })
}

// 安全工机具租赁费用推送审核提交
export function submitPushSafetyCosts(params){
  return request({
    url: '/material/iws_cost_push/safetyMaterialCostPush',
    method: 'post',
    data: params
  })
}

// 安全工机具消耗性费用推送审核提交
export function submitPushSafetyConsumeCosts(params){
  return request({
    url: '/material/iws_cost_push/safetyConsumeMaterialCostPush',
    method: 'post',
    data: params
  })
}

